PFont Gfont; 
PFont Nfont;

void loadFonts() {
  Gfont = loadFont("OldEnglishTextMT-48.vlw");
  Nfont = loadFont("ArialMT-48.vlw");
}


void drawLegend() {
  
  colorMode(HSB, 360, 100, 100);
  
  //textAlign(LEFT);
  //fill(0,0,100);
  //rect(width/9*7.8-1, height/12*8.2-44, 100, 25);
  //textFont(Nfont, 20);
  //fill(221,100,100);
  //text("Control Keys", width/9*7.8-1, height/12*8.2-30);
  
  textFont(Nfont, 15);
  textAlign(LEFT);
  fill(0,0,100);
  text("Press (L) to start / pause LINE animation", width/9*7.8, height/12*8.2);
  fill(0,0,100);
  text("Press (P) to start / pause POINT animation", width/9*7.8, height/12*8.4);
  fill(0,0,100);
  text("Press (R) to reset the canvas", width/9*7.8, height/12*8.6);
  
  // sentences
  //fill(0,0,100);
  //rect(width/9*7.8-1, height/12*9.0-22, 100, 25);
  //fill(0,0,0);
  //textFont(Nfont, 20);
  //text("Sentence:", width/9*7.8, height/12*9.0);
  textFont(Nfont, 15);
  fill(0,100,100);
  text("Capital punishment (1)", width/9*7.8, height/12*9.2);
  fill(60,100,100);
  text("Labor army (2)", width/9*7.8, height/12*9.4);
  fill(120,100,100);
  text("Labor camp (3)", width/9*7.8, height/12*9.6);
  fill(180,100,100);
  text("Special settlement (4)", width/9*7.8, height/12*9.8);
  fill(0,0,40);
  text("Died during deportation (0)", width/9*7.8, height/12*10.0);
  
  // tick's text
  fill(255);
  textFont(Nfont, 30);
  text("20", width/10*6, 0 + height/25);
  text("40", (width/10*7 + width/100), 0 + height/25*1.2);
  text("60", (width/10*8 + width/100), 0 + height/25*1.25);
  text("80", (width/10*9 + width/100), 0 + height/25*1.3);
}
  

  // title
void drawTitle(){
  
  textFont(Gfont, 70);
  fill(255);
  textAlign(CENTER);
  text("The faiths of Volga Germans during deportation in 1937-1942", width/2+1, height/10*8-1);
  //text("in USSR (1937-1942)", width/2+1, height-47-1);
  
  fill(360,100,40);
  text("The faiths of Volga Germans during deportation in 1937-1942", width/2, height/10*8);
  //text("in USSR (1937-1942)", width/2, height-47);
  
  // text explanation
  textFont(Gfont, 30);
  //textAlign(LEFT);
  String s = "This project explores the faith of Volga Germans in the period of 1937-1942. Around 400,000 ethnic Germans, were forcefully removed from their original settlements in Volga basin to labor in Siberia, Kazakhstan, Russian Far East, and Ural.";
  text(s, width/4, height/10*8.25, width*0.5, height/10*9);
  
  // interface help
  textFont(Nfont, 20);
  fill(255);
  //textAlign(LEFT);
  String d = "The visualization starts with a black canvas. First choose the type of visualization by pressing (P) or (L). Then select a sentence by pressing (1), (2), (3), (4). The animation will follow. At any time, when you want to stop the animation you can simply do so by pressing a digit or a letter key. Once the canvas is filled you can either reset (R) it or press (0) to depict all Germans who died during deportation by blacking out points on canvas.";
  text(d, width/4, height/10*9, width*0.5, height/10);
  }
