import controlP5.*;


ControlP5 cp5;
// An Array of Liner objects
Liner[] liners;
// A Table object
Table table;




void setup() {
  fullScreen();
  //size(1200,800);
  cp5 = new ControlP5(this);
  
  colorMode(HSB, 360, 100, 100, 1);
  background(0,0,0);
  
  loadData();
  loadFonts();
  //noLoop();
  
}


void draw() {
  
  //drawLegend();
  if (show_title) {
      drawLegend(); 
      drawTitle();
    }
  
  for(int i=0; i<liners.length;i++) {
    if (pts) {
      if (death) {
        if (liners[i].death==1) {
          liners[i].displayD();
        }
      }
  }
}
  
  
  for(int i=floor(random(0,500)); i<liners.length;i+=750) {
    //fill(0,0,100);
    
    
    if (pts) {
      //if (death) {
      //  if (liners[i].death==1) {
      //    liners[i].displayD();
      //  }
      //}
      if (trudarm) {
        if (liners[i].outcome.equals("trudarm")) {
          liners[i].displayPts();
        }
      }
      if (vmn) {
        if (liners[i].outcome.equals("vmn")) {
          liners[i].displayPts();
      }
    }
      if (itl) {
        if (liners[i].outcome.equals("itl")) {
          liners[i].displayPts();
      }
    }
      if (specpos) {
        if (liners[i].outcome.equals("specpos")) {
          liners[i].displayPts();
      }
    }
  }
  
  if (lls) {
    //if (death) {
    //    if (liners[i].death==1) {
    //        liners[i].displayDL();
    //    }
    //}
    if (trudarm) {
      if (liners[i].outcome.equals("trudarm")) {
          liners[i].displayLines();
        }
      }
    if (vmn) {
      if (liners[i].outcome.equals("vmn")) {
          liners[i].displayLines();
      }
    }
    if (itl) {
      if (liners[i].outcome.equals("itl")) {
          liners[i].displayLines();
      }
    }
    if (specpos) {
      if (liners[i].outcome.equals("specpos")) {
          liners[i].displayLines();
      }
    }
  }
  
  if ((lls)&&(pts)) {
      if (trudarm) {
        if (liners[i].outcome.equals("trudarm")) {
          liners[i].displayLines();
          liners[i].displayPts();
        }
      }
    if (vmn) {
      if (liners[i].outcome.equals("vmn")) {
          liners[i].displayLines();
          liners[i].displayPts();
      }
    }
    if (itl) {
      if (liners[i].outcome.equals("itl")) {
          liners[i].displayLines();
          liners[i].displayPts();
      }
    }
    if (specpos) {
      if (liners[i].outcome.equals("specpos")) {
          liners[i].displayLines();
          liners[i].displayPts();
      }
    }
  }
  }
  
  ////// Display all liners
  //for(int i=0; i<liners.length;i+=500) {
  //  if(trudarm){
  //    liners[i].displayPts();
  //    }
  //  //liners[i].displayLine();
  //}

  
  // Display ticks
  float age20 = map(20, 1, 85, 0, 0.75*sqrt((width/2)*(width/2) + (height/2)*(height/2)));
  float age40 = map(40, 1, 85, 0, 0.75*sqrt((width/2)*(width/2) + (height/2)*(height/2)));
  float age60 = map(60, 1, 85, 0, 0.75*sqrt((width/2)*(width/2) + (height/2)*(height/2)));
  float age80 = map(80, 1, 85, 0, 0.75*sqrt((width/2)*(width/2) + (height/2)*(height/2)));
    
  float ppx20=age20;
  float ppy20=0;
  
  float ppx40=age40;
  float ppy40=0;
  
  float ppx60=age60;
  float ppy60=0;
  
  float ppx80=age80;
  float ppy80=0;
  
  for (int i = 0; i<15; i++){ 
    pushMatrix();
    translate(width/2, 0);
    float px20 = cos(radians(i)) * age20;
    float py20 = sin(radians(i)) * age20;
    stroke(360,0,100, 0.25);
    strokeWeight(.25);
    line(ppx20, ppy20, px20, py20);
    ppx20 = px20;
    ppy20 = py20;
    
    float px40 = cos(radians(i)) * age40;
    float py40 = sin(radians(i)) * age40;
    line(ppx40, ppy40, px40, py40);
    ppx40 = px40;
    ppy40 = py40; 
    
    float px60 = cos(radians(i)) * age60;
    float py60 = sin(radians(i)) * age60;
    line(ppx60, ppy60, px60, py60);
    ppx60 = px60;
    ppy60 = py60; 
    
    float px80 = cos(radians(i)) * age80;
    float py80 = sin(radians(i)) * age80;
    line(ppx80, ppy80, px80, py80);
    ppx80 = px80;
    ppy80 = py80; 
    
    popMatrix();     
  }
  
  for (int i = 0; i<180; i++) {
 
    
    pushMatrix();
    translate(width/2, 0);
    
    float px20 = cos(radians(i)) * age20;
    float py20 = sin(radians(i)) * age20;   
    
    float px40 = cos(radians(i)) * age40;
    float py40 = sin(radians(i)) * age40;
    
    float px60 = cos(radians(i)) * age60;
    float py60 = sin(radians(i)) * age60;
    
    float px80 = cos(radians(i)) * age80;
    float py80 = sin(radians(i)) * age80;
    //println(px20,py20);
    
    stroke(360,0,100);
    strokeWeight(1);
    point(px20,py20); 
    point(px40,py40);
    point(px60,py60);
    point(px80,py80);
    popMatrix();
  }
  

}
